<?php

/**
 * \param array $params: pole proměnných prevzatých z sablony.  
 * \param object &$smarty: objekt smarty 
 * \return false pokud dojde k chybě 
 */
function smarty_function_menu($params,&$smarty)
{
  global $webdoc;
  extract($params); //vytvoreni samostatnych promennych z pole $params

  if (!isset($level))
  {
    $smarty->trigger_error("menu: nebyl zadan parametr level"); //Smarty error
    return false;
  }
  
  if (!is_array($titles))
  {
    $smarty->trigger_error("menu: nebyl zadan parametr titles"); //Smarty error
    return false;
  }

  if (!is_array($url))
  {
    $smarty->trigger_error("menu: nebyl zadan parametr url"); //Smarty error
    return false;
  }
  
  if (count($titles)!=count($url))
  {
    $smarty->trigger_error("menu: pole url a titles si neodpovidaji"); //Smarty error
    return false;
  } 
  
  $output="    <ul class=\"menu".($level>1?" sub".($level-1):"")."\">\n";
  $i=1;
  foreach ($titles as $key => $title)
  {
    $output.="      <li>";
    if ($url[$key]!="") $output.="<a href=\"$url[$key]\">";
    $output.=$title;
    if ($url[$key]!="") $output.="</a>";
    $output.="</li>";
    if ($i<count($titles)) $output.=" | ";
    $output.="\n";
    $i++;
  }
  $output.="    </ul>";

  return $output;
}

?>
